Subject: Re: [PATCH v2 0/9] builtin/maintenance: introduce "geometric" strategy

From: Taylor Blau <[email-masked]>
Date: Thu, 23 Oct 2025 17:50:02 -0400

On Thu, Oct 23, 2025 at 09:48:18AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
>
> > The series is built on top of b660e2dcb9 (Sync with 'maint', 2025-10-14)
> > with tb/incremental-midx-part-3.1 at c886af90f8 (SQUASH??? play well
> > with other topics by preemptively including "repository.h", 2025-09-29)
> > merged into it.
> >
> > Changes in v2:
> >   - Make the geometric factor configurable via
> >     "maintenance.geometric-repack.splitFactor".
> >   - Wrap some overly long lines in our tests.
> >   - Link to v1: https://lore.kernel.org/r/[email-masked]
> >
> > Thanks!
>
> This round looks good to me (I wasn't very careful picking typos and
> minor mistakes, but the resulting code overall looked sound).

Yeah, I am happy with this round as well. I left a few thoughts
throughout, but none of them are blockers from my perspective.

Thanks for working on this, Patrick!

Thanks,
Taylor